
QGIS Application - Bug report #15799

Crash when loading a tiled WMS layer

2016-11-02 07:12 AM - Augustin Roche

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.18.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 23719

Description

QGIS crashes when I try to load a WMS layer for which the tile size is set.

Associated revisions

Revision 16719b3f - 2016-11-04 04:23 AM - Martin Dobias

Fix crash with tiled WMS (fixes #15799)

Revision 24361c53 - 2016-11-04 04:27 AM - Martin Dobias

Fix crash with tiled WMS (fixes #15799)

(cherry picked from commit 16719b3f0f166667fdead8731a9ffe7227ab39f8)

History

#1 - 2016-11-03 05:17 AM - Martin Dobias

- Status changed from Open to Feedback

Please provide URL for the WMS service you have used

#2 - 2016-11-03 05:55 AM - Augustin Roche

I have tried with many different services, with always the same result. For example, any layer in this service: http://ids.craig.fr/wxs/ows?

Platform: Windows 7 64

#3 - 2016-11-03 08:24 PM - Martin Dobias

- Status changed from Feedback to Closed

Fixed in changeset commit:"16719b3f0f166667fdead8731a9ffe7227ab39f8".
